web: Get web/streaming schedule

API: tvmaze.com:tvmaze-api
Endpoint: /schedule/web
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 147ms

Description

Get the web/streaming schedule for a specific date. Unlike the regular schedule endpoint that shows network TV, this returns shows premiering on web/streaming platforms (Netflix, Hulu, etc.) for the given date. Use this for 'What's new on Netflix?' type queries.

From spec: Returns episodes airing on web channels on a specific date.

Usage Tips

- Shows web channel premieres only (not network TV) - Date defaults to today if not provided - Results grouped by network - Includes streaming service premieres

Parameters (2)

country (string, query, optional)

ISO country code (leave empty for global)

date (string, query, optional)

Date in YYYY-MM-DD format

Examples (3)

US streaming schedule for March 15, 2026 curl

Get TV schedule for 2026-03-15

curl 'https://api.tvmaze.com/schedule/web?country=US&date=2026-03-15'
import requests

resp = requests.get(
    "https://api.tvmaze.com/schedule/web",
    params={
        'country': 'US',
        'date': '2026-03-15',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule/web", country="US", date="2026-03-15")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule/web?country=US&date=2026-03-15");
const data = await resp.json();
UK streaming schedule for March 15, 2026 curl

Get TV schedule for 2026-03-15

curl 'https://api.tvmaze.com/schedule/web?country=GB&date=2026-03-15'
import requests

resp = requests.get(
    "https://api.tvmaze.com/schedule/web",
    params={
        'country': 'GB',
        'date': '2026-03-15',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule/web", country="GB", date="2026-03-15")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule/web?country=GB&date=2026-03-15");
const data = await resp.json();
All streaming schedules without country filter curl

Get TV schedule for 2026-03-15

curl 'https://api.tvmaze.com/schedule/web?date=2026-03-15'
import requests

resp = requests.get(
    "https://api.tvmaze.com/schedule/web",
    params={
        'date': '2026-03-15',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule/web", date="2026-03-15")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule/web?date=2026-03-15");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:25:01.366979 200 147ms
2026-04-16 02:05:30.049916 200 171ms
2026-04-16 00:38:12.680877 200 122ms
2026-04-16 00:02:48.912049 200 160ms
2026-04-15 04:11:29.604470 200 156ms
2026-04-15 03:42:28.326859 200 144ms
2026-04-15 03:21:29.435349 200 168ms
2026-04-14 02:05:23.618448 200 159ms
2026-04-14 00:32:23.930605 200 193ms
2026-04-14 00:09:43.357477 200 143ms
2026-04-12 15:55:34.711722 200 148ms
2026-04-12 14:55:50.882641 200 148ms
2026-04-12 14:50:36.086115 200 105ms
2026-04-10 02:38:09.646853 200 116ms
2026-04-10 01:53:18.815252 200 109ms
2026-04-10 01:30:55.034629 200 184ms
2026-04-09 02:00:09.909064 200 275ms
2026-04-09 01:04:35.184265 200 206ms
2026-04-09 00:40:04.335076 200 282ms
2026-03-23 09:40:23.004078 200 91ms
2026-03-23 09:36:50.352827 200 101ms
2026-03-23 09:10:50.077751 200 98ms